//! A small utility to download issues of the NZZ newspaper.

use anyhow::Result;

use cli::Config;

pub mod cli;
pub mod date;
pub mod download;
pub mod nzz;
pub mod pdf;

/// Entry point to download nzz issues.
pub async fn run(args: Config, cookie: &str) -> Result<()> {
    let issues = nzz::fetch(cookie, args.from, args.to).await?;
    download::fetch(issues, &args.output_dir).await?;

    Ok(())
}
